NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Drawings::SelectDraftingViewList Class Reference

Represents a list of objects on a selection list. More...

Inheritance diagram for NXOpen::Drawings::SelectDraftingViewList:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool Add (NXOpen::Drawings::DraftingView *object)
 Adds an object to the list. More...
 
bool Add (const std::vector< NXOpen::Drawings::DraftingView * > &objects)
 Adds a set of objects to the list. More...
 
bool Add (NXOpen::SelectionMethod *inputSelectionMethod)
 Adds the objects from a SelectionMethod to the list. More...
 
bool Add (NXOpen::Drawings::DraftingView *selection, NXOpen::View *view, const NXOpen::Point3d &point)
 Adds the object with the objects view and objects point. More...
 
bool Add (NXOpen::InferSnapType::SnapType snapType, NXOpen::Drawings::DraftingView *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::Drawings::DraftingView *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2)
 The object being selected with the objects view and objects point and snap information. More...
 
bool Add (NXOpen::Drawings::DraftingView *selection, NXOpen::CaeObjectType::CaeSubType caeSubType, int caeSubId)
 The object being selected with CAE set object information. More...
 
void Clear ()
 Removes all items from the list. More...
 
bool Contains (NXOpen::Drawings::DraftingView *object)
 Returns whether the specified object is already in the list or not. More...
 
bool DuplicatesAllowed ()
 Returns whether duplicate objects are allowed in the selection list. More...
 
std::vector
< NXOpen::Drawings::DraftingView * > 
GetArray ()
 Returns the list of objects in the selection list. More...
 
std::vector
< NXOpen::SelectObject * > 
GetSelectObjectArray ()
 Returns the list of SelectObjects in the selection list. More...
 
bool Remove (NXOpen::Drawings::DraftingView *object)
 Remove specified object from list. More...
 
bool Remove (NXOpen::Drawings::DraftingView *object, NXOpen::View *view)
 Remove specified object from list. More...
 
bool Remove (NXOpen::InferSnapType::SnapType snapType, NXOpen::Drawings::DraftingView *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::Drawings::DraftingView *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2)
 Remove specified object from list. More...
 
bool Remove (NXOpen::SelectionMethod *inputSelectionMethod)
 Removes the objects from a SelectionMethod from the list. More...
 
bool RemoveArray (const std::vector< NXOpen::Drawings::DraftingView * > &objects)
 Remove specified objects from list. More...
 
void SetArray (const std::vector< NXOpen::Drawings::DraftingView * > &objects)
 Sets the list of objects in the selection list. More...
 
int Size ()
 Returns the number of objects in the list. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a list of objects on a selection list.


Created in NX5.0.0.

Member Function Documentation

bool NXOpen::Drawings::SelectDraftingViewList::Add ( NXOpen::Drawings::DraftingView object)

Adds an object to the list.

Returns
True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
Created in NX5.0.0.

License requirements : None
Parameters
objectobject to add
bool NXOpen::Drawings::SelectDraftingViewList::Add ( const std::vector< NXOpen::Drawings::DraftingView * > &  objects)

Adds a set of objects to the list.

Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX5.0.0.

License requirements : None
Parameters
objectsobjects to add
bool NXOpen::Drawings::SelectDraftingViewList::Add ( NXOpen::SelectionMethod inputSelectionMethod)

Adds the objects from a SelectionMethod to the list.

Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX6.0.0.

License requirements : None
Parameters
inputSelectionMethodselection method containing objects to add
bool NXOpen::Drawings::SelectDraftingViewList::Add ( NXOpen::Drawings::DraftingView selection,
NXOpen::View view,
const NXOpen::Point3d point 
)

Adds the object with the objects view and objects point.

Returns
True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
Created in NX5.0.0.

License requirements : None
Parameters
selectionselected object
viewselected object view
pointselected object point
bool NXOpen::Drawings::SelectDraftingViewList::Add ( NXOpen::InferSnapType::SnapType  snapType,
NXOpen::Drawings::DraftingView selection1,
NXOpen::View view1,
const NXOpen::Point3d point1,
NXOpen::Drawings::DraftingView selection2,
NXOpen::View view2,
const NXOpen::Point3d point2 
)

The object being selected with the objects view and objects point and snap information.

Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX5.0.0.

License requirements : None
Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
bool NXOpen::Drawings::SelectDraftingViewList::Add ( NXOpen::Drawings::DraftingView selection,
NXOpen::CaeObjectType::CaeSubType  caeSubType,
int  caeSubId 
)

The object being selected with CAE set object information.

Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Deprecated:
Deprecated in NX10.0.0. Use other versions of NXOpen::SelectObjectList::Add .


Created in NX5.0.0.

License requirements : None

Parameters
selectionselected object
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
void NXOpen::Drawings::SelectDraftingViewList::Clear ( )

Removes all items from the list.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Drawings::SelectDraftingViewList::Contains ( NXOpen::Drawings::DraftingView object)

Returns whether the specified object is already in the list or not.

Returns
true if object is in the list, false otherwise
Created in NX5.0.0.

License requirements : None
Parameters
objectobject to check
bool NXOpen::Drawings::SelectDraftingViewList::DuplicatesAllowed ( )

Returns whether duplicate objects are allowed in the selection list.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Drawings::DraftingView *> NXOpen::Drawings::SelectDraftingViewList::GetArray ( )

Returns the list of objects in the selection list.

Returns
items in list
Created in NX5.0.0.

License requirements : None
std::vector<NXOpen::SelectObject *> NXOpen::Drawings::SelectDraftingViewList::GetSelectObjectArray ( )

Returns the list of SelectObjects in the selection list.

Returns
items in list
Created in NX5.0.0.

License requirements : None
bool NXOpen::Drawings::SelectDraftingViewList::Remove ( NXOpen::Drawings::DraftingView object)

Remove specified object from list.

Returns
True if succesully removed from list; False if the object was not a member of the list
Created in NX5.0.0.

License requirements : None
Parameters
objectObject to remove
bool NXOpen::Drawings::SelectDraftingViewList::Remove ( NXOpen::Drawings::DraftingView object,
NXOpen::View view 
)

Remove specified object from list.

Returns
True if succesully removed from list; False if the object / view was not a member of the list
Created in NX6.0.0.

License requirements : None
Parameters
objectObject to remove
viewwith this view
bool NXOpen::Drawings::SelectDraftingViewList::Remove ( NXOpen::InferSnapType::SnapType  snapType,
NXOpen::Drawings::DraftingView selection1,
NXOpen::View view1,
const NXOpen::Point3d point1,
NXOpen::Drawings::DraftingView selection2,
NXOpen::View view2,
const NXOpen::Point3d point2 
)

Remove specified object from list.

Returns
True if succesully removed from list; False if the object was not a member of the list
Created in NX6.0.0.

License requirements : None
Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
bool NXOpen::Drawings::SelectDraftingViewList::Remove ( NXOpen::SelectionMethod inputSelectionMethod)

Removes the objects from a SelectionMethod from the list.

Returns
True if succesully removed all objects from the list; False if there was at least one object that was not a member of the list
Created in NX6.0.0.

License requirements : None
Parameters
inputSelectionMethodselection method containing objects to add
bool NXOpen::Drawings::SelectDraftingViewList::RemoveArray ( const std::vector< NXOpen::Drawings::DraftingView * > &  objects)

Remove specified objects from list.

Returns
True if succesully removed from list; False if the object was not a member of the list
Created in NX5.0.0.

License requirements : None
Parameters
objectsObjects to remove
void NXOpen::Drawings::SelectDraftingViewList::SetArray ( const std::vector< NXOpen::Drawings::DraftingView * > &  objects)

Sets the list of objects in the selection list.

This will clear any existing items in the list.


Created in NX5.0.0.

License requirements : None

Parameters
objectsitems to put in the list
int NXOpen::Drawings::SelectDraftingViewList::Size ( )

Returns the number of objects in the list.


Created in NX5.0.0.

License requirements : None

virtual bool NXOpen::Drawings::SelectDraftingViewList::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.